using MS.Entities.SQLite;
using MS.Models.ViewModel;
using MS.WebCore.Core;
using System;
using System.Collections.Generic;
using System.Text;
using System.Threading.Tasks;

namespace MS.Services.membershipGroup
{
    public interface ImembershipGroup : IBaseService
    {
        Task<ExecuteResult> getGroupIdListAsync(string currentBuId);
        Task<ExecuteResult> CreateAsync(BuidMembershipGroupViewModel viewModel);
        Task<ExecuteResult> GetmembershipGroupAsync(string currentBuId);
        Task<ExecuteResult> CreateAsync(List<MembershipGroupListViewModel> viewModel);
        Task<ExecuteResult> UpdateAsync(string currentBuId);
        Task<ExecuteResult> GetmembershipGroupListAsync(string currentBuId);
    }
}
